Index: common/libs/func_wrt_Makefile
===================================================================
--- common/libs/func_wrt_Makefile	(revision 111d25a4a5c1340fc3d829d2843259bd3ff1992b)
+++ common/libs/func_wrt_Makefile	(revision aafcfa9fbd65ab565980440c1b43456490573bb7)
@@ -18,24 +18,16 @@
 SHELL = /bin/bash
 
+MOUNT_PT       = $BUILDDIR
+SCRIPT_ROOT    = $SCRIPT_ROOT
+CMDSDIR        = $PROGNAME-commands
 SRC            = /sources
-MOUNT_PT       = $BUILDDIR
+SRCSDIR        = \$(MOUNT_PT)\$(SRC)
+FILELOGDIR     = /\$(SCRIPT_ROOT)/$FILELOGDIRBASE
+
 LUSER          = $LUSER
 LGROUP         = $LGROUP
 LHOME          = $LHOME
-SCRIPT_ROOT    = $SCRIPT_ROOT
-
-BASEDIR        = \$(MOUNT_PT)
-SRCSDIR        = \$(BASEDIR)/sources
-CMDSDIR        = \$(BASEDIR)/\$(SCRIPT_ROOT)/$PROGNAME-commands
-LOGDIR         = \$(BASEDIR)/\$(SCRIPT_ROOT)/$LOGDIRBASE
-TESTLOGDIR     = \$(BASEDIR)/\$(SCRIPT_ROOT)/$TESTLOGDIRBASE
-
-crCMDSDIR      = /\$(SCRIPT_ROOT)/$PROGNAME-commands
-crLOGDIR       = /\$(SCRIPT_ROOT)/$LOGDIRBASE
-crTESTLOGDIR   = /\$(SCRIPT_ROOT)/$TESTLOGDIRBASE
-crFILELOGDIR   = /\$(SCRIPT_ROOT)/$FILELOGDIRBASE
-
+LUSER_HOME     = \$(LHOME)/\$(LUSER)
 SU_LUSER       = su - \$(LUSER) -c
-LUSER_HOME     = \$(LHOME)/\$(LUSER)
 
 ADD_REPORT       = $REPORT
@@ -58,20 +50,5 @@
 
 #----------------------------------#
-LUSER_wrt_target() {               # Create target
-#----------------------------------#
-  local i=$1
-  local PREV=$2
-(
-cat << EOF
-
-$i:  $PREV
-	@\$(call echo_message, Building)
-	@export BASHBIN=\$(SHELL) && \$(SHELL) progress_bar.sh \$@ \$\$PPID &
-EOF
-) >> $MKFILE.tmp
-}
-
-#----------------------------------#
-CHROOT_wrt_target() {              #
+wrt_target() {                     # Create target
 #----------------------------------#
   local i=$1
@@ -90,8 +67,8 @@
 
 
-#======== RUN AS =======
+#======== RUN THE SCRIPT =======
 
 #----------------------------------#
-wrt_RunAsRoot() {                  # Some scripts must be run as root..
+wrt_RunAsRoot() {                  # Some not-chroot scripts must be run as root..
 #----------------------------------#
   local MOUNT_ENV
@@ -109,5 +86,5 @@
 (
 cat << EOF
-	@export ${MOUNT_ENV}=\$(MOUNT_PT) && ${PROGNAME}-commands/`dirname $file`/\$@ > $LOGDIRBASE/\$@ 2>&1
+	@export ${MOUNT_ENV}=\$(MOUNT_PT) && \$(CMDSDIR)/`dirname $file`/\$@ > $LOGDIRBASE/\$@ 2>&1
 EOF
 ) >> $MKFILE.tmp
@@ -115,5 +92,5 @@
 
 #----------------------------------#
-LUSER_wrt_RunAsUser() {            #
+wrt_RunScript() {                  #
 #----------------------------------#
   local file=$1
@@ -126,16 +103,4 @@
 }
 
-#----------------------------------#
-CHROOT_wrt_RunAsRoot() {           #
-#----------------------------------#
-  local file=$1
-(
-cat << EOF
-	@\$(crCMDSDIR)/`dirname $file`/\$@ > $LOGDIRBASE/\$@ 2>&1
-EOF
-) >> $MKFILE.tmp
-
-}
-
 #=======================
 
@@ -144,5 +109,5 @@
 
 #----------------------------------#
-LUSER_wrt_CopyFstab() {            #
+LUSER_wrt_CopyFstab() {            # Needed for CLFS Sysroot and Embedded
 #----------------------------------#
 (
@@ -154,5 +119,5 @@
 
 #----------------------------------#
-CHROOT_wrt_CopyFstab() {           #
+wrt_CopyFstab() {                  #
 #----------------------------------#
 (
@@ -169,5 +134,5 @@
 
 #----------------------------------#
-LUSER_wrt_TouchTimestamp() {       #
+LUSER_wrt_TouchTimestamp() {       # Needed for CLFS Sysroot and Embedded
 #----------------------------------#
 (
@@ -179,5 +144,5 @@
 
 #----------------------------------#
-CHROOT_wrt_TouchTimestamp() {      #
+wrt_TouchTimestamp() {             #
 #----------------------------------#
 (
@@ -189,5 +154,5 @@
 
 #----------------------------------#
-LUSER_wrt_LogNewFiles() {          #
+LUSER_wrt_LogNewFiles() {          # Needed for CLFS Sysroot and Embedded
 #----------------------------------#
   local name=$1
@@ -200,5 +165,5 @@
 
 #----------------------------------#
-CHROOT_wrt_LogNewFiles() {         #
+wrt_LogNewFiles() {                #
 #----------------------------------#
   local name=$1
Index: common/makefile-functions
===================================================================
--- common/makefile-functions	(revision 111d25a4a5c1340fc3d829d2843259bd3ff1992b)
+++ common/makefile-functions	(revision aafcfa9fbd65ab565980440c1b43456490573bb7)
@@ -84,11 +84,11 @@
   @find / -xdev ! -path "/$(SCRIPT_ROOT)/*" ! -path "/tmp/*" ! -path "$(SRC)/*" \
   -newer $(SRC)/timestamp-marker -not -type d \
-  -printf "%p\t%s\t%u:%g\t%m\t%l\n" | sort > $(crFILELOGDIR)/$(1)
+  -printf "%p\t%s\t%u:%g\t%m\t%l\n" | sort > $(FILELOGDIR)/$(1)
 endef
 
 define log_new_files_LUSER
-  @find $(BASEDIR) -xdev ! -path "$(BASEDIR)/$(SCRIPT_ROOT)/*" ! -path "$(BASEDIR)/tmp/*" ! -path "$(SRCSDIR)/*" \
+  @find $(MOUNT_PT) -xdev ! -path "$(MOUNT_PT)/$(SCRIPT_ROOT)/*" ! -path "$(MOUNT_PT)/tmp/*" ! -path "$(SRCSDIR)/*" \
   -newer $(SRCSDIR)/timestamp-marker -not -type d \
-  -printf "%p\t%s\t%u:%g\t%m\t%l\n" | sort > $(BASEDIR)$(crFILELOGDIR)/$(1)
+  -printf "%p\t%s\t%u:%g\t%m\t%l\n" | sort > $(MOUNT_PT)$(FILELOGDIR)/$(1)
 endef
 
@@ -102,6 +102,7 @@
   echo $(BOLD) The report file $(BLUE)$(1)$(BOLD) has been created ; \
   echo ; \
-  echo $(WHITE)Please send the $(BOLD)$(MOUNT_PT)/jhalfs/$(1)$(WHITE) ; \
-  echo file to $(BOLD)manuel@linuxfromscratch.org$(WHITE) ; \
+  echo $(WHITE)If this is a development book build, please send the ; \
+  echo $(BOLD)$(MOUNT_PT)/$(SCRIPT_ROOT)/$(1)$(WHITE) file to ; \
+  echo $(BOLD)manuel@linuxfromscratch.org$(WHITE) ; \
   echo ; \
   echo That will help us to keep more accurate SBU and ; \
@@ -168,5 +169,5 @@
   @echo  2.Boot the new partition.
   @echo  3.Once you are logged in issue the following commands
-  @echo  $(tab_) $(BOLD)cd /jhalfs
+  @echo  $(tab_) $(BOLD)cd /$(SCRIPT_ROOT)
   @echo  $(tab_) $(BOLD)make makesys
   @echo  The build process should resume. Follow any instructions that appear.
